<div class="row">
    <div class="col-sm-8 col-sm-offset-2">
      <form (ngSubmit) = "onSubmit(f)" #f="ngForm">
        <div class="form-group">
          <label for="name">
            Title
          </label>
          <input type="text" id="title" class="form-control" name = "title" ngModel required>
        </div>
        <div class="form-group">
            <label for="Description">
             Description
            </label>
            <textarea id="content" class="form-control" name = "content" ngModel required ></textarea>
          </div>
      
        <button  type= "submit" class="btn btn-primary" [disabled]= "f.invalid">Submit</button>
      </form>
    </div>
  </div>
